precision highp float;

varying vec2 tc;
attribute vec4 p;

void main(){ 

    gl_Position=p;
    tc=vec2(0.5,0.5/8.0)*p.xy+vec2(0.5,6.5/8.0); 
    
}




precision highp float;

varying vec2 tc;

uniform sampler2D tex;
uniform float b;

void main() {    
    
    vec4 s = texture2D(tex,tc);
    gl_FragColor.xyz = s.xyz*(b*s.w);
    
}